using Assets.Scripts.Apis.Models;
using Newtonsoft.Json;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Assets.Scripts.Apis
{
    public class MapInterruptRecordApi:ApiBase
    {

        /// <summary>
        /// 上传骑行记录到服务端
        /// </summary>
        /// <param name="interruptRecord"></param>
        public JsonResult<AddMapRecordResultModel> Add(MapInterruptRecord interruptRecord, List<string> fileNames)
        {
            var result = Upload("MapRecord/AddMapInterruptRecord", interruptRecord, fileNames);
            var jsonResult = JsonConvert.DeserializeObject<JsonResult<AddMapRecordResultModel>>(result);
            return jsonResult;
        }
    }
}
